Google Drive va abandonner macOS High Sierra et Mojave

Florian Innocente |

Google réduit la liste de compatibilité de Drive avec d'anciens macOS. Dans les notes de version du Google Drive for Desktop 66 distribué depuis la toute fin octobre, macOS 10.13 passe à la trappe. High Sierra n'est plus pris en charge par le service de synchronisation de fichiers.

Il faut migrer son Mac vers son successeur, macOS Mojave. Cependant le sursis sera de courte durée. À partir de janvier prochain, nouveau coup de balai, c'est Catalina qui sera le plus ancien macOS compatible et plus particulièrement son ultime mise à jour 10.15.7. Côté Microsoft, c'est avec Windows 7 que Drive cessera toute opération en janvier 2023.

Seul le macOS le plus récent recevra l

Seul le macOS le plus récent recevra l'intégralité des correctifs de failles de sécurité


avatar switch | 

Heureux d'avoir quitté Google Drive pour pCloud Drive…

avatar hervemac | 

@switch

J’ai fait la même de mon côté, j’ai tout dégagé de drive et j’ai pris un abonnement à vie chez PCloud

avatar Jeamy | 

@switch

Idem pour moi

avatar Lucas | 

C’est assez brutal comme tour de vis pour un service aussi indispensable pour beaucoup… est-ce si difficile de maintenir le logiciel quelques années de plus ?

avatar Gwynpl@ine | 

Comment rendre le concurrent obsolète facilement ^_^

avatar occam | 

@Lu Canneberges

> "est-ce si difficile de maintenir le logiciel quelques années de plus ?"

Il ne vous aura pas échappé que les adeptes de macOS sont sommés de passer à 10.15.7 a minima, alors que les utilisateurs de Windows sont censés monter à… Windows 8 — sorti le 1er août 2012 — afin de maintenir la compatibilité avec Google Drive for Desktop.

Cette disparité n’est pas un cas isolé. Bon nombre d’applications tierces ne s’encombrent plus d’un support destiné à des versions de macOS abandonnées par l’OVNI de Cupertino. Alors que, côté Windows, le support logiciel couvre des OS datant d’une décennie ou plus — et bien souvent, s’agissant de Mac Intel, sur un hardware identique ou équivalent.

De là à se demander si le problème n’est pas causé par macOS, et plus généralement par l’attitude d’Apple à l’égard de son OS, il n’y a qu’un pas.

(Je n’ai plus à franchir ce pas. Pour certains des logiciels que j’utilisais avant sur Mac, et que j’ai migré sur Windows justement en raison de l’obsolescence forcée des versions annuelles de macOS, j’ai obtenu la confirmation confidentielle de leurs créateurs. Mais déballer les détails sur la place publique les mettrait en grande délicatesse envers Apple. Un jour, ce débat devra pourtant avoir lieu.)

avatar cecile_aelita | 

@occam

« Il ne vous aura pas échappé que les adeptes de macOS sont sommés de passer à 10.15.7 a minima »
Sommés? Ça veut dire que je suis dans l’illégalité sur mon Mac mini resté sur El Capitan et sur mon mac M1 sous big sur 😱😱!!
Pour le moment je n’ai pas eu un gros écran bleu en allumant mon ordi me disant « vous ne pouvez plus utiliser votre ordinateur car il n’a pas la dernière version »… mais j’avoue que j’appréhende ce jour 😭.
😋(humour hein 😉)

avatar r e m y | 

Pour qui utilise Google Drive, oui, il a l'obligation de passer à macOS 10.15.7 minimum, faute de quoi il aura bien un gros écran (bleu je ne sais pas...) qui lui confirmera "qu'il ne peut plus utiliser Google Drive car il n'a pas la version minimale nécessaire".
S'il utilise ce service pour travailler à plusieurs sur des travaux communs ou simplement s'il stocke des dossiers importants sur ce drive, l'obligation de mettre à jour son OS est bien réelle.

avatar DidTrebor | 

@cecile_aelita
On parle ici de "avec quelle version de Mac OS est compatible la nouvelle version de Google Drive" et pas du système sur vos ordis.. Menfin ! Relisez l'article depuis le début.
A+

avatar cecile_aelita | 

@DidTrebor

Autant pour moi, j’ai répondu un peu vite 🙂! Mea culpa.
Il reste toujours la solution web au pire mais je peux comprendre que si on veut ce qu’il y a de mieux c’est moins bien.

avatar r e m y | 

Non la version Web aura la meme exigence quand à la version minimale de macOS ou de Windows.

avatar DahuLArthropode | 

@r e m y

Là, je ne vois pas comment: c’est juste une page web ordinaire qui s’affiche dans n’importe quel navigateur sur n’importe quel OS, non?
Ce qu’on perdra, c’est les dossiers synchronisés sur sa machine, pas l’accès à ses fichiers.

avatar r e m y | 

A titre d'exemple, essayez d'accéder à votre compte iCloud avec une version un peu ancienne de macOS. Vous verrez que ce n'est pas possible. Un message vous invite à mettre à jour MacOS, pour des raisons de sécurité est-il précisé.

avatar DahuLArthropode | 

@r e m y

Avec un navigateur web? Quelconque?
Sinon, je ne peux pas tester, mon plus vieux mac date de 2015 et tout fonctionne: pas assez vieux.

avatar r e m y | 

Mon iMac 2015 (avec BigSur) accède sans souci. Mon MacBook Pro 2008 avec El Capitan est bloqué à l'entrée quel que soit le navigateur utilisé.
Le site récupère la version de MacOS, si elle est inférieure à une certaine version (je ne sais plus laquelle), l'accès est refusé.

avatar cecile_aelita | 

@DahuLArthropode

Évidement que ça fonctionne mais bon… Apple a du oublier de bloquer « uniquement » ma machine 😂!!

https://www.dropbox.com/s/4n9qb1zdte6smxd/Capture%20d%E2%80%99%C3%A9cran%202022-11-02%20%C3%A0%2009.11.29.png?dl=0

avatar r e m y | 

Autant pour moi alors... ça a dû évoluer car il y a un certain temps que je n'ai plus essayé de me connecter avec mon vieux MacBook Pro (vu que j'avais eu le message indiquant que je devais passer à une version de macOS qui lui était inaccessible). De mémoire c'est au moment où Apple a poussé la certification à 2 facteurs que je me suis retrouvé bloqué.

Je testerai à nouveau ce soir.

avatar DahuLArthropode | 

Auto modéré

avatar cecile_aelita | 

@DahuLArthropode

C’est évidement la raison la plus crédible 😂😂

avatar cecile_aelita | 

@DahuLArthropode

Par contre j’attends toujours le chèque d’Apple 😅

avatar DahuLArthropode | 

@cecile_aelita

Une malversation de plus.
(Je vois que tu as vu mon message initial, que j’ai supprimé depuis parce qu’il était inutilement sarcastique alors que Rémy a fait amende honorable — bien qu’il écrive « autant pour moi », qui est toléré mais banni par l’académie.)

avatar cecile_aelita | 

@DahuLArthropode

Ça restait de l’humour ! Moi ça m’avait fait rire en tout cas 😉

avatar superdalton | 

@cecile_aelita
Tu fait pitié à chaque réponses que tu fait …

Je te pense sérieusement limité du ciboulot et ils devraient t’enlever l’accès au net dans ton unité fermée pour débile…

avatar cecile_aelita | 

@superdalton

Merci 🙏!

Et sois assuré que je mettrai tout en œuvre pour continuer à faire encore mieux lors de mes prochaines interventions 😘.

avatar DidTrebor | 

@cecile_aelita
Heu... vous laissez vraiment passer son commentaire à Averell, ou bien c'est une blague entre vous deux ??
A+

avatar cecile_aelita | 

@DidTrebor

Ah non c’est pas une blague je te confirme 😅!
Mais en même temps tu veux que je fasse quoi? L’insulter, m’énerver et être idiote et agressive ? Il est bien meilleur que moi sur ces quatre points😅, donc un conflit avec lui n’aurait aucun sens pour moi 🙂.
Il s’affiche comme un idiot tout seul, et le plus malheureusement c’est qu’il ne s’en rend même pas compte 🙂. Est ce que ça m’affecte ? Pas le moins du monde😅. Est ce qu’il me dérange ? Pas du tout, je l’ai bloqué et oublié dans les 5mn qui ont suivi et j’ai déjà repris une 20aine de conversations ici avec des gens bien plus intéressant 🙂. Est ce que moi je le dérange ? Visiblement oui, vu qu’il semble faire une analyse de tous mes commentaires passés, c’est qu’il a l’air de bien être focus sur moi (il doit être amoureux de mon charme irrésistible 😂😂😅) (alors que moi j’ignorais son existence jusqu’à son commentaire😅.
Du coup, selon toi, qui est le plus embêté de lui ou de moi dans cette histoire 😋.

PS : j’adore la vanne sur « Averell » 😂

avatar DidTrebor | 

J'suis pas d'accord (même si vous pensez le contraire rien ne s'oublie tout est caché dans les méandres du cerveau et res(s)urgit un jour ou l'autre)) ! Faut pas laisser faire et l'envoyer chier, ça déstresse...
"PS : j’adore la vanne sur « Averell » 😂"
Avec 4 fautes dans une phrase, j'aurais dû dire Rantanplan...
A+

avatar cecile_aelita | 

@DidTrebor

C’est gentil mais non ce n’est vraiment pas mon style d’envoyer chier les gens. Ce pauvre garçon doit avoir une vie déjà bien assez triste si il se sent obligé d’insulter une nana qu’il ne connaît même pas 😅…
Donc inutile d’en rajouter 🙂.
Et puis comme je te disais … on n’avait jamais parlé une seule fois lui et moi et pourtant lui semblait m’avoir repéré depuis un moment 😅(un amoureux transi probablement 😅).

Mais une chose est sure c’est qu’il voulait que je riposte … et je ne rentrerai pas dans ce jeu malsain 😉.

Mais en tout cas : merci pour ton soutien🙏

avatar mat16963 | 

@occam

Confirmation confidentielle? Pourtant c’est crié sur l’espace public: Apple ne fait RIEN pour maintenir un semblant de rétrocompatibilité… les devs doivent presque développer une app complète par version du système, donc évidemment qu’Apple les pousse à ne supporter que les 3 dernières… Et Apple ne montre pas du tout l’exemple non plus…

avatar Glop0606 | 

Je pense qu'Apple est en train de tout unifier. Mac OS sera un iOS pour ordi à savoir que comme les iphones tu "dois" passer à la version suivante sous peine de ne pas avoir les dernières mises à jour voire à avoir des incompatibilités logiciels de versions (flagrant avec photo/icloud). Il y a eu une news récemment sur les mises à jour de sécurité qui réduisaient un peu plus la durée des Mac OS.

Le but (non avoué ;)): lier l'OS au matériel (comme l'iphone). Fini les économes qui gardent leur machine une décénnie (parce qu'elle marche tout simplement). Je pense qu'Apple aimerait ramener la durée de vie des ordis au niveau des iphones. "Folie" me dira-t'on! Mais quand on pense que justement un iphone est plus au moins au prix d'un ordi, le rapprochement est permis...

avatar Gwynpl@ine | 

Mojave a 4 ans, c'est abusé question support de la part de Google. Je ne regrette pas NextCloud sur mon Pi 4 !

Après Apple qui nous sort tout les ans un nouvel OS, franchement une version LTS ferait plaisir. Surtout que les mises à jour de sécurité ne sont plus maintenues obligatoirement sur un OS qui a plus d'un an...

avatar hervemac | 

@Gwynpl@ine

C’est clair qu’un nouvel OS chaque année pour le peu de nouveautés c’est ridicule, l’idéal serai un os tous les 2 ans voir 3

avatar cecile_aelita | 

@hervemac

C’est sur mais ça ne voudrait pas dire pour autant que la mise à jour du parc matériel serait plus longue 🙂.
Ils peuvent très bien faire un Mac OS tous les 3 ans et dégager 3 génération de Mac d’un coup 😅.

avatar melaure | 

@hervemac

Comme avant cet escroc de Cook … tout est bon pour renforcer ton sentiment d’obsolescence !

avatar r e m y | 

C'est toujours mieux qu'Apple qui n'assure plus le support que de la version de macOS en cours , donc 1 année seulement.

avatar Vaenoxis | 

dos1dude patcher a encore de beaux jours devant lui 😌 ..

avatar jerome74 | 

Qu'une nouvelle version de l'app nécessite un OS récent, ça peut se comprendre tant que les anciennes versions fonctionnent encore. Que le service ne fonctionne plus avec d'anciennes versions de l'app, ça peut aussi se comprendre tant que tous les utilisateurs peuvent mettre à jour vers une version plus récente. Mais fermer le service pour les utilisateurs restés sur 10.14 (que ce soit parce que leur Mac ne supporte pas 10.15, ou parce qu'ils ont besoin de certaines apps 32-bit), ça n'est absolument pas acceptable!

avatar JOHN³ | 

Où sont tout ces guguss qui ont sermonné que l’obsolescence programmée n’existait pas ?

avatar raoolito | 

@JOHN³

dans ce cas-ci c’est quoi? obligation d’acheter du matériel chez un fournisseur ?
google drive n’est lié à aucun hardware, donc non c’est pas de l’obsolescence programmée

avatar JOHN³ | 

@raoolito

L’obsolescence programmée ne concerne pas que le hardware.

avatar switch | 

C'est bien de l'obsolescence programmée indirecte car Apple bloque la version de macOS installable sur chaque Mac
Les modèles 2011 sont limités à macOS High Sierra
Les modèles 2012 sont limités à macOS Catalina
Donc sauf à utiliser un bootloader alternatif de type OpenCore, il faudra un Mac de 2012 au minimum pour utiliser Google Drive

avatar raoolito | 

@switch

Oui, sans etre d'accord avec vous c'est discutable cote apple
Mais ici google drive, ben non c pas de leur côté le soucis

avatar Mecky | 

Vu la taille des protagonistes, c'est discutable des deux côtés !

Un service sur le Net n'a que peu de raisons de ne pas être maintenu, éventuellement en mode a minima.

Les grandes instances politiques EU, US, Chine, etc… devraient leur imposer une continuité de service d'au moins 10 ans car cette course au « progrès » constitue la première cause d'obsolescence !

Il en va de même des services bancaires et autres joyeusetés pour lesquelles nous sommes censés posséder le dernier matériel motorisé au dernier OS pour utiliser leur dernière fonction inutile sur leur dernière App.

On le lit dans les commentaires, les plus heureux sont ceux qui sont restés autonomes… mais ce n'est pas à la portée de chacun !

avatar cecile_aelita | 

@Mecky

Il reste toujours la solution « Google drive » depuis safari 🙂.

avatar r e m y | 

Pas sûr! Tout comme on ne peut pas se connecter à iCloud avec une version de Safari trop ancienne, Google peut très bien imposer une version minimale de Safari (et donc de macOS) pour accéder à la version Web.

avatar tupui | 

@JOHN³

Sans avoir à parler de complot, l’obsolescence programmée en logiciel a toujours existé. Que se soit pour ajouter de nouvelles fonctions, s’adapter au matériel qui change, ou résoudre des problèmes, il y a une nécessité technique à faire évoluer le logiciel.

Et oui parfois on ne peut juste pas assurer le support sur 10 ans surtout aujourd’hui. Un exemple tout bête, Apple, Google etc utilisent du Python en interne. Et bien Python supporte que 5 ans. Ensuite il y a toutes les libraires qu’ils utilisent. E.g. tout ce qui est scientifique c’est environ 3 ans (NEP29). Au delà du temps on ne supporte aussi que certaines version des OS. Et non ils ne peuvent pas payer pour étendre le support.

Donc le public peut râler autant qu’il veut et critiquer Apple car c’est la chose à faire, c’est toute l’industrie qui bouge à cette vitesse et même si des politiques s’en mêlent, ça changera pas grand chose parce que beaucoup de chose est fait en open source et donc on fait se qu’on veut (ou plutôt peut).

avatar mat16963 | 

Chez Apple: un OS de 2018 abandonné
Chez Microsoft: un OS 2009 abandonné

Je sais que c’est pas directement comparable, mais le contraste est saisissant… ça cumulé au fait qu’Apple semble pressée de liquider la compatibilité des Macs intel, c’est pas bon pour la longévité des machines 😅

Heureusement que pour l’instant on a l’équipe formidable d’OpenCore Legacy Patcher… mais qu’en sera-t-il avec les Macs Apple Silicon ?

avatar tupui | 

@mat16963

Mais c’est de la poudre au yeux. Oui le système de MS reçoit des MAJ, mais in milliards de truc va pas marcher.

avatar lmouillart | 

Un milliard c'est beaucoup et vraisemblablement pas bien précis.
On est en vérité plutôt très largement en dessous de la 100ène : https://learn.microsoft.com/en-us/windows/release-health/resolved-issues-windows-11-21h2 , et non Microsoft ne s'amuse pas à laisser des gros dysfonctionnement entre des versions.
---
Je ne comprends pas est différent de cela ne fonctionne pas.

avatar tupui | 

@lmouillart

Essaye de compiler SciPy sur Windows 7 32 bits et on en reparle… Je comprends merci bien…

Et super MS donne un log youpi. Vu qu’Apple ne fait pas la même chose, on peut pas juger et dire que dans une release il y a plus ou moins de patch. En 6 mois sur SciPy on fait environ 500 patch donc bon…

Pages

CONNEXION UTILISATEUR